using System;

namespace skyscraper5.Skyscraper.IO.TunerInterface
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class TunerFactoryIdAttribute : Attribute
    {
        public int Id { get; }
        public string DisplayName { get; }

        public string TemporaryUUID { get; }

        public TunerFactoryIdAttribute(int id, string displayName)
        {
            Id = id;
            DisplayName = displayName;
            TemporaryUUID = Guid.NewGuid().ToString();
        }
    }
}
